Skip to main content
Resource Center/Hardware/Host Operations/PCI Device Operations
POSTPCI Device OperationsSince 3.5.0SynchronousAuth Required

AddPciDeviceSpecToVmInstance

AddPciDeviceSpecToVmInstance

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • pciSpecUuidStringRequired

    The UUID of the PCI device specification.

  • vmInstanceUuidStringRequired

    The VM instance UUID.

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • pciDeviceNumberInteger

      Optional. The number of PCI devices.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryVmInstancePciDeviceSpecRefInventoryRequired

    See inventory.

    • vmInstanceUuidStringRequired

      The VM instance UUID.

    • pciSpecUuidStringRequired

      The UUID of the PCI device specification.

    • pciDeviceNumberIntegerRequired

      The number of PCI devices to be attached to the VM instance. Note that these devices must conform to the PCI device specification. Default value: 1.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

POST/zstack/v1/pci-device-specs/{pciSpecUuid}/vm-instances/{vmInstanceUuid}

/zstack/v1/pci-device-specs/{pciSpecUuid}/vm-instances/{vmInstanceUuid}

Operation ID

AddPciDeviceSpecToVmInstance

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/pci-device-specs/{pciSpecUuid}/vm-instances/{vmInstanceUuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"pciDeviceNumber":1},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "vmInstanceUuid": "ed0836204dbd496bb9cfa25f091d9d4a", "pciSpecUuid": "f9e3605232d343d99bca77ba13c1ca34", "pciDeviceNumber": 1.0, "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } }

Change History

This API has no change history records yet.

View all change history